Bug 1034 - Defects or design change suggestions in installation process
Defects or design change suggestions in installation process
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Depends On:
  Show dependency treegraph
Reported: 1999-02-03 17:12 EST by andrew
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-06-29 13:43:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description andrew 1999-02-03 17:12:43 EST
(apologies if this is inappropriate; I am new to Linux with
much NT experience. The setup process caused me some
difficulty - not as intuitive as NT install; thought you'd
like the feedback as good install critical to early
impressions of product)

1. Initial boot screen from CDROM is confusing; suggests
that you should press Enter to upgrade Linux - user
installing for first time cannot see a clear choice for the
option of first time install. It looks like you press enter
to upgrade Linux whereas of course you do this for clean
install too but boot screen doesn't say that.

2. CDROM boot sensitive to CD-R disks because the CD read
isn't allowing enough motor spinup time on the drive; also
the drive spins down straightaway after each read. This
causes read errors with CD-R disks; thus, copy of Linux
disk #1 on CD-R wouldn't install though original disk would
- install process should allow much more time for drive to
spin up and should keep drive spun up for much longer. This
would also speed up CDROM install. I know this is BIOS-
sensitive but code could be made more rugged here.

3. Install options (server,workstation) destroy all
partitions. However, 90% of Linux users are new users right
now. Could we have an option for new Linux install on
separate drive since this is what most of us will do i.e
install additional drive and leave primary OS untouched.
Currently only option is to select custom install because
others destroy ALL disks, but then this isn't very user-
friendly. Option 'Install Linux on fresh drive and leave
everything else alone' would be most useful and reassuring
- see point 4 also.

4. Disk druid screen is intimidating. If installing on new
drive, why not give us pre-filled in list of suggested
partitions as the install book recommends i.e /boot, /var
etc. sized % based on the drive. Or give us some pre-
defined choices that we can just pick and then alter before
proceeding (e.g dropdown list of choices like 'minimal
partitions' (root and swap), 'optimum performance' (7
partitions as per book, etc). Pick one and screen is filled
in with choices - you can then edit the numbers and
confirm. Guarantee new users will stop at this screen for a
*long* time while they consult the book - too bad if they
don't have book!. Also easy to create single / partition
which exceeds 1024 cylinders leading to problems later on
(i.e no other partitions except swap) - disk druid does not
warn about this.

Also disk druid lists all partitions but its not clear if
it will destroy any existing ones - this is a bit scary
because you add some new ones to the list and then think
maybe it will recreate them *all* - good if on-screen
message to reassure about this.

5. Root password entry screen is frightening because the
password chars don't appear as asterisks or anything.
There's a flashing cursor, to make things more confusing.
Accept book mentions this but very off-putting - can't you
put asterisks in?. I backed out of screen twice - consulted
book then continued - thought I had hardware problem!.

6. Fields which accept binary value i.e * or space are
toggled with space. However, they look like they'd accept a
char e.g Y. Not obvious how to toggle them at first; could
they accept any non-blank char as yes or warn if any non-
space key pressed so user can see what to do. Currently non-
space keys silently ignored making it look like field
doesn't work.

7. System detects mouse but never uses it during install.
Would be very useful if mouse worked early in install

8. I submit 90% of audience are currently new to Linux
(phenomenal growth pretty much defines that), will not want
to destroy existing OS and will put Linux on a second drive
on existing Intel-based machine (cheapest & safest option
for them). Also will boot from CDROM as have machine < 2yrs
old. Therefore why not document *this* procedure first in
book *then* do the other options because most people will
take that path. Sure, 10% won't but put the info about
choices AFTER the most common option and point them at,
say, chap 2 'other options' or something. Currently have to
wade through lot of choices before getting to meat of
install process in book - confusing, though flexible. So
'quick start' always a good idea.

Note You need to log in before you can comment on or make changes to this bug.